package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFF14Response {

    @Parameter(name = "Email")
    String email();

    @Parameter(name = "Fax")
    String fax();

    @Parameter(name = "FlagShip")
    Long flagShip();

    @Parameter(name = "FramingLevel")
    String framingLevel();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "IDKanal")
    Long iDKanal();

    @Parameter(name = "IDOkresu")
    String iDOkresu();

    @Parameter(name = "IODEmail")
    String iODEmail();

    @Parameter(name = "KategorieOM")
    String kategorieOM();

    @Parameter(name = "KodBanky")
    String kodBanky();

    @Parameter(name = "KontOsobaOZJmeno")
    String kontOsobaOZJmeno();

    @Parameter(name = "KontOsobaOZPrijmeni")
    String kontOsobaOZPrijmeni();

    @Parameter(name = "Mesto")
    String mesto();

    @Parameter(name = "NazevOM")
    String nazevOM();

    @Parameter(name = "OBNazev")
    String oBNazev();

    @Parameter(name = "Okres")
    String okres();

    @Parameter(name = "OtevrenoCT")
    String otevrenoCT();

    @Parameter(name = "OtevrenoNE")
    String otevrenoNE();

    @Parameter(name = "OtevrenoPA")
    String otevrenoPA();

    @Parameter(name = "OtevrenoPO")
    String otevrenoPO();

    @Parameter(name = "OtevrenoSO")
    String otevrenoSO();

    @Parameter(name = "OtevrenoST")
    String otevrenoST();

    @Parameter(name = "OtevrenoUT")
    String otevrenoUT();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PocetZamestnancu")
    Long pocetZamestnancu();

    @Parameter(name = "Retezec")
    String retezec();

    @Parameter(name = "Segment")
    String segment();

    @Parameter(name = "Stat")
    String stat();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "URLCANCEL")
    String urlcancel();

    @Parameter(name = "URLNO")
    String urlno();

    @Parameter(name = "URLYES")
    String urlyes();

    @Parameter(name = "Ucet")
    String ucet();

    @Parameter(name = "Ulice")
    String ulice();

}